Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QLocalSocket.LocalSocketError

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QLocalSocket.LocalSocketError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QLocalSocket

    public static final class QLocalSocket.LocalSocketError

extends java.lang.Enum
implements QtEnumerator

The LocalServerError enumeration represents the errors that can occur. The most recent error can be retrieved through a call to `QLocalSocket::error()`.

See Also:
  Serialized Form

Field Summary
`static QLocalSocket.LocalSocketError` | `ConnectionError` An error occurred with the connection.
`static QLocalSocket.LocalSocketError` | `ConnectionRefusedError` The connection was refused by the peer (or timed out).
`static QLocalSocket.LocalSocketError` | `DatagramTooLargeError` The datagram was larger than the operating system's limit (which can be as low as 8192 bytes).
`static QLocalSocket.LocalSocketError` | `PeerClosedError` The remote socket closed the connection.
`static QLocalSocket.LocalSocketError` | `ServerNotFoundError` The local socket name was not found.
`static QLocalSocket.LocalSocketError` | `SocketAccessError` The socket operation failed because the application lacked the required privileges.
`static QLocalSocket.LocalSocketError` | `SocketResourceError` The local system ran out of resources (e.g., too many sockets).
`static QLocalSocket.LocalSocketError` | `SocketTimeoutError` The socket operation timed out.
`static QLocalSocket.LocalSocketError` | `UnknownSocketError` An unidentified error occurred.
`static QLocalSocket.LocalSocketError` | `UnsupportedSocketOperationError` The requested socket operation is not supported by the local operating system.

Method Summary
`static QLocalSocket.LocalSocketError` | `resolve(int value)` Returns the QLocalSocket$LocalSocketError constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLocalSocket.LocalSocketError` | `valueOf(java.lang.String name)`
`static QLocalSocket.LocalSocketError[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ConnectionRefusedError

    public static final QLocalSocket.LocalSocketError ConnectionRefusedError

  The connection was refused by the peer (or timed out).

### PeerClosedError

    public static final QLocalSocket.LocalSocketError PeerClosedError

  The remote socket closed the connection. Note that the client socket (i.e., this socket) will be closed after the remote close notification has been sent.

### ServerNotFoundError

    public static final QLocalSocket.LocalSocketError ServerNotFoundError

  The local socket name was not found.

### SocketAccessError

    public static final QLocalSocket.LocalSocketError SocketAccessError

  The socket operation failed because the application lacked the required privileges.

### SocketResourceError

    public static final QLocalSocket.LocalSocketError SocketResourceError

  The local system ran out of resources (e.g., too many sockets).

### SocketTimeoutError

    public static final QLocalSocket.LocalSocketError SocketTimeoutError

  The socket operation timed out.

### DatagramTooLargeError

    public static final QLocalSocket.LocalSocketError DatagramTooLargeError

  The datagram was larger than the operating system's limit (which can be as low as 8192 bytes).

### ConnectionError

    public static final QLocalSocket.LocalSocketError ConnectionError

  An error occurred with the connection.

### UnsupportedSocketOperationError

    public static final QLocalSocket.LocalSocketError UnsupportedSocketOperationError

  The requested socket operation is not supported by the local operating system.

### UnknownSocketError

    public static final QLocalSocket.LocalSocketError UnknownSocketError

  An unidentified error occurred.

Method Detail

### values

    public static QLocalSocket.LocalSocketError[] values()

### valueOf

    public static QLocalSocket.LocalSocketError valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLocalSocket.LocalSocketError resolve(int value)

  Returns the QLocalSocket$LocalSocketError constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD